## openvpn 2.0

=== plugin/auth-pam/Makefile ===
#
# Build the OpenVPN auth-pam plugin module.
#

# This directory is where we will look for openvpn-plugin.h
INCLUDE=-I../..

CC_FLAGS=-O2 -Wall

openvpn-auth-pam.so : auth-pam.o pamdl.o
	gcc ${CC_FLAGS} -fPIC -shared -Wl,-soname,openvpn-auth-pam.so -o openvpn-auth-pam.so auth-pam.o pamdl.o -lc

auth-pam.o : auth-pam.c pamdl.h
	gcc ${CC_FLAGS} -fPIC -c ${INCLUDE} auth-pam.c

pamdl.o : pamdl.c pamdl.h
	gcc ${CC_FLAGS} -fPIC -c ${INCLUDE} pamdl.c

clean :
	rm -f *.o *.so

## openvpn 2.0.7

=== service-win32/Makefile ===
# This makefile builds the OpenVPN win32 service
# wrapper using the mingw environment.
#
# service.c and service.h should be generated by
# applying service.patch to the Platform
# SDK service sample.

EXE = openvpnserv.exe

HEADERS = service.h

OBJS =	openvpnserv.o service.o

INCLUDE_DIRS =

CC = gcc -g -O2 -Wall -Wno-unused-function -Wno-unused-variable -mno-cygwin

all : ${OBJS}
	${CC} -o ${EXE} ${OBJS}

clean :
	rm -f ${OBJS} ${EXE}

%.o : %.c ${HEADERS}
	${CC} ${INCLUDE_DIRS} -c $< -o $@

## openvpn 2.1~rc7

=== service-win32/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # applying service.patch to the Platform
 # SDK service sample.
 
-EXE = openvpnserv.exe
+EXE = ${PRODUCT_UNIX_NAME}serv.exe
 
 HEADERS = service.h

=== plugin/auth-pam/Makefile ===
#
# Build the OpenVPN auth-pam plugin module.
#

# If PAM modules are not linked against libpam.so, set DLOPEN_PAM to 1. This
# must be done on SUSE 9.1, at least.
DLOPEN_PAM=0

ifeq ($(DLOPEN_PAM),1)
	LIBPAM=-ldl
else
	LIBPAM=-lpam
endif

# This directory is where we will look for openvpn-plugin.h
INCLUDE=-I../..

CC_FLAGS=-O2 -Wall -DDLOPEN_PAM=$(DLOPEN_PAM)

openvpn-auth-pam.so : auth-pam.o pamdl.o
	gcc ${CC_FLAGS} -fPIC -shared -Wl,-soname,openvpn-auth-pam.so -o openvpn-auth-pam.so auth-pam.o pamdl.o -lc $(LIBPAM)

auth-pam.o : auth-pam.c pamdl.h
	gcc ${CC_FLAGS} -fPIC -c ${INCLUDE} auth-pam.c

pamdl.o : pamdl.c pamdl.h
	gcc ${CC_FLAGS} -fPIC -c ${INCLUDE} pamdl.c

clean :
	rm -f *.o *.so

## openvpn 2.1.0

=== debian/changelog ===
openvpn (2.1.0-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable. Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and use </dev/null to avoid blocking boot
      - Show per-VPN result messages
      - Add "--script-security 2" by default for backwards compatablitiy
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Jul 2010 09:39:43 -0400

openvpn (2.1.0-3) unstable; urgency=low

  * The 'happy birthday to me' release
  * Fixed client hang when server does not push anything. (Closes: #587414)
    Thanks Thierry Carrez for the heads up.
  * Document possible problems when using 'chroot' option

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 09 Jul 2010 12:22:09 +0200

openvpn (2.1.0-2ubuntu2) maverick; urgency=low

  * debian/patches/client_hang_when_server_dont_push.patch: Fix client hanging
    on PUSH_REQUEST when server does not push any option (LP: #579737)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 28 Jun 2010 10:45:23 +0200

openvpn (2.1.0-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and use </dev/null to avoid blocking boot
      - Show per-VPN result messages
      - Add "--script-security 2" by default for backwards compatablitiy
     + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc() 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 May 2010 03:06:19 +0100

openvpn (2.1.0-2) unstable; urgency=low

  * Patched ssl.[ch] to fix integer overflow. (Closes: #576827)
    Thanks David Sommerseth for the patch.
  * Fixed manpage typo. (Closes: #576823)
  * Bloat the init.d script with more dependencies required by the
    new init systems. Sucky. (Closes: #568647, #553338)
  * Reworded README.Debian (Closes: #550164)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 10 Apr 2010 17:26:42 +0200

openvpn (2.1.0-1ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #509078), remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and use < /dev/null to avoid blocking boot
      - Show per-VPN result messages
      - Add "--script-security 2" by default for backwards compatibility
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Jan Brinkmann <lucky@the-luckyduck.de>  Fri, 22 Jan 2010 00:47:33 +0100

openvpn (2.1.0-1) unstable; urgency=low

  * New upstream release
  * init.d script: added soft-restart to the options output. (Closes: #558174)
  * debian/control: Promoted net-tools from Recommends to Depends.
    (Closes: #557906)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 11 Dec 2009 12:08:50 +0100

openvpn (2.1~rc22-1) unstable; urgency=low

  * New upstream release
  * Added a note on LDAP+TLS problems in README.Debian

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 04 Dec 2009 16:33:02 +0100

openvpn (2.1~rc21-2) unstable; urgency=low

  * debian/patches: Added eurephia.patch to support eurephia plug-in.
  * debian/patches: updated openvpn over ipv6 support to v0.4.10

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 19 Nov 2009 18:00:27 +0100

openvpn (2.1~rc21-1) unstable; urgency=low

  * New upstream release

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 12 Nov 2009 12:19:26 +0100

openvpn (2.1~rc20-3) unstable; urgency=low

  * Updated debian_openssl_vulnkeys.patch to fix false vulnerable
    key detection. (Closes: #483139).
    Thanks a lot Kees Cook and Jamie Strandboge for working on this!

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 04 Nov 2009 17:18:03 +0100

openvpn (2.1~rc20-2ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and use < /dev/null to avoid blocking
        boot.
      - show per-VPN result messages
      - add "--script-security 2" by default for backwards compatibility
      - Add lab-base >= 3.2-14 to allow status_of_proc()
     + Dropped debian/patches/redirect-gateway.patch: Already applied 
       upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Nov 2009 01:36:35 +0000

openvpn (2.1~rc20-2) unstable; urgency=low

  * init.d script: Added X-Interactive header. (Closes: #549424)
  * patches/jjo-ipv6-support.patch: Added ipv6 support. (Closes: #307846)
    Patch from JuanJo Ciarlante.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 06 Oct 2009 13:04:07 +0200

openvpn (2.1~rc20-1) unstable; urgency=low

  * New upstream version.
    - Fixes redirect-gateway option parsing. (Closes: #541450)
  * Changed init.d Provides from 'vpn' to 'openvpn'. (Closes: #497563)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 02 Oct 2009 17:24:38 +0200

openvpn (2.1~rc19-2) unstable; urgency=low

  * Fixed init.d script to depend on $remote_fs and $syslog (Closes: #539764)
  * Added debian/README.source
  * Bumped Standards-Version to 3.8.3

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 30 Aug 2009 20:20:11 +0200

openvpn (2.1~rc19-1ubuntu2) karmic; urgency=low

  * debian/patches/redirect-gateway.patch: Fix regression introduced in
    2.1rc17 that makes redirect-gateway (without options) to be ignored.
    Patch cherrypicked from upstream 2.1rc20 (SVN r5011), LP: #445695

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 13 Oct 2009 09:31:20 +0200

openvpn (2.1~rc19-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #404099), remaining changes:
    - debian/openvpn.init.d:
      - Do not use start-stop-daemon and use < /dev/null to avoid blocking boot
      - show per-VPN result messages
      - add "--script-security 2" by default for backwards compatibility
      - Added lsb-base>=3.2-14 depend to allow status_of_proc()

 -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 24 Jul 2009 19:22:13 +0530

openvpn (2.1~rc19-1) unstable; urgency=low


=== debian/control ===
Source: openvpn
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>= 7), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt, libpkcs11-helper1-dev
Standards-Version: 3.9.0

Package: openvpn
Architecture: any
Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8 (>= 0.9.8g-9), openssl-blacklist (>= 0.4), openvpn-blacklist, net-tools, lsb-base (>= 3.2-14)
Suggests: openssl, resolvconf
Description: virtual private network daemon
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 OpenVPN uses all of the encryption, authentication, and certification
 features provided by the OpenSSL library (any cipher, key size, or
 HMAC digest).
 .
 OpenVPN may use static, pre-shared keys or TLS-based dynamic key exchange. It
 also supports VPNs with dynamic endpoints (DHCP or dial-up clients), tunnels
 over NAT or connection-oriented stateful firewalls (such as Linux's iptables).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: $(QUILT_STAMPFN)
	dh_testdir
	# Add here commands to configure the package.
	./configure --enable-pthread --enable-password-save --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --with-ifconfig-path=/sbin/ifconfig --with-route-path=/sbin/route


build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#make plugins
	$(MAKE) -C plugin/auth-pam/
	$(MAKE) -C plugin/down-root/

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	#clean plugins
	$(MAKE) -C plugin/auth-pam/ clean
	$(MAKE) -C plugin/down-root/ clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/openvpn
	$(MAKE) install prefix=$(CURDIR)/debian/openvpn/usr
	install -m 755 sample-scripts/verify-cn $(CURDIR)/debian/openvpn/usr/share/openvpn
	install -m 755 debian/openvpn.if-up.d $(CURDIR)/debian/openvpn/etc/network/if-up.d/openvpn
	install -m 755 debian/openvpn.if-down.d $(CURDIR)/debian/openvpn/etc/network/if-down.d/openvpn
	#install plugins
	install -m 644 plugin/auth-pam/openvpn-auth-pam.so $(CURDIR)/debian/openvpn/usr/lib/openvpn
	install -m 644 plugin/down-root/openvpn-down-root.so $(CURDIR)/debian/openvpn/usr/lib/openvpn
	install -m 644 plugin/auth-pam/README $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/README.auth-pam
	install -m 644 plugin/down-root/README $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/README.down-root
	# intall plugin headers 
	install -m 644 openvpn-plugin.h $(CURDIR)/debian/openvpn/usr/include/openvpn/openvpn-plugin.h
	# resolvconf script
	install -m 755 debian/update-resolv-conf $(CURDIR)/debian/openvpn/etc/openvpn/update-resolv-conf
	# bash completion
	install -m 644 debian/openvpn.bash_completion $(CURDIR)/debian/openvpn/etc/bash_completion.d/openvpn

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	## remove windoze stuff
	rm -rf $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/Windows
	# clean permissions to make lintian happy
	chmod a-x $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/2.0/vars
	chmod a-x $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/2.0/openssl.cnf
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit --no-start -- defaults 16 80
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress --exclude=openssl.cnf --exclude=pkitool
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## openvpn 2.1.3

=== debian/changelog ===
openvpn (2.1.3-4.1+youpi2) unreleased; urgency=low

  * Drop hard-coded dependency on libssl0.9.8.  (Closes: #623503)
  * Ignore ifconfig missing, we do this by hand on the Hurd for now.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Jul 2017 10:14:27 +0000

openvpn (2.1.3-4) unstable; urgency=low

  * Updated JuanJo's IPv6 patch. Now really fixes use from xinetd.
    Thanks JuanJo & Christian Weinberger for testing it (Closes: #574164)
  * Removed debian_openssl_vulnkeys.patch since we're Etch + 2 now.
    (Closes: #484105, #487994)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Mar 2011 10:04:21 +0100

openvpn (2.1.3-3) unstable; urgency=low

  * Updated JuanJo's IPv6 patch.
    Fixes use from xinetd (Closes: #574164)
  * Patched update-resolv-conf to support multiple DNS search domains.
    Thanks Jeremy Zawodny and Dave Walker for the patch.
    (Closes: #617740)
  * Added a note about bridge-utils helpers in README.Debian.
    Thanks Sven Hoexter. (Closes: #599192)
  * Updated Danish debconf templates. (Closes: #608425)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 11 Mar 2011 13:08:12 +0100

openvpn (2.1.3-2) unstable; urgency=low

  * Applied upstream patch to solve random routes added when using
    'remote_host'. (Closes: #600166)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 21 Oct 2010 12:21:33 +0200

openvpn (2.1.3-1) unstable; urgency=low

  * New upstream release (Closes: #595684)
  * Fixed multiple building in a row (Closes: #592086)
  * Added handling of newer DEB_BUILD_OPTIONS.
    Thanks Lionel Elie Mamane for the patch. (Closes: #592098)
  * Updated IPv6 patch from JuanJo Ciarlante.
    Fixes --multihome option. (Closes: #562099)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 29 Sep 2010 13:07:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 7), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt, libpkcs11-helper1-dev
-Standards-Version: 3.9.0
+Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: debhelper (>= 7), libssl1.0-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt, libpkcs11-helper1-dev
+Standards-Version: 3.9.1
 
 Package: openvpn
 Architecture: any
-Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8 (>= 0.9.8g-9), openssl-blacklist (>= 0.4), openvpn-blacklist, net-tools, lsb-base (>= 3.2-14)
+Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, openssl-blacklist (>= 0.4), openvpn-blacklist, net-tools
 Suggests: openssl, resolvconf
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,16 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+CFLAGS:=-g
 
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	MAKEFLAGS += -j$(NUMJOBS)
 endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
@@ -24,8 +31,7 @@
 config.status: $(QUILT_STAMPFN)
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --enable-pthread --enable-password-save --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --with-ifconfig-path=/sbin/ifconfig --with-route-path=/sbin/route
-
+	./configure --enable-pthread --enable-password-save --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --with-ifconfig-path=/sbin/ifconfig --with-route-path=/sbin/route CFLAGS='$(CFLAGS)'
 
 build: build-stamp

## openvpn 2.2.0

=== debian/changelog ===
openvpn (2.2.0-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
   + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()
    + debian/update-resolv-conf: Support multiple domains.
    + fix bug where '--script-security 2' would be passed for all
      daemons after the first. (LP: #794916

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Jun 2011 18:33:37 +0100

openvpn (2.2.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/control: added Homepage field
  * Added debian/watch file
  * debian/patches: Added descriptions/authors/etc. to patches

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 15 Jun 2011 12:28:15 +0200

openvpn (2.2.0-1) experimental; urgency=low

  * New upstream release (Closes: #625281)
  * Removed Depends on open(ssl|vpn)-blacklist, since 
    debian_openssl_vulnkeys.patch is no longer used.
    Removed templates referring it too.
  * Removed manpage_dash_escaping.patch, applied upstream
  * Removed attemping_typo, applied upstream
  * Removed counter_type_for_bytes.patch, applied upstream
  * Removed eurephia.patch, applied upstream
  * Updated JuanJo's & Gert's IPv6 patches
  * Removed versioned Depends on libssl (Closes: #623503)
  * Improved kFreeBSD support. Thanks Gonéri Le Bouder for the patch
    (Closes: #626062)
  * Updated Dutch debconf templates. (Closes: #625526)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 10 May 2011 16:17:00 +0200

openvpn (2.1.3-5) experimental; urgency=low

  * Upload to experimental.
  * Add ipv6 payload patch by Gert Doering. (Closes: #604071)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Mar 2011 10:57:18 +0100

openvpn (2.1.3-4.1ubuntu2) oneiric; urgency=low

  [Alexander Zielke]
  * fix bug where '--script-security 2' would be passed for all
    daemons after the first. (LP: #794916)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 09 Jun 2011 13:59:08 -0400

openvpn (2.1.3-4.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
   + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()
    + debian/update-resolv-conf: Support multiple domains.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 May 2011 02:14:39 +0100

openvpn (2.1.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop hard-coded dependency on libssl0.9.8.  (Closes: #623503)

 -- Philipp Kern <pkern@debian.org>  Mon, 09 May 2011 23:20:03 +0200

openvpn (2.1.3-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()
    + debian/update-resolv-conf: Support multiple domains.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Mar 2011 23:28:26 +0000

openvpn (2.1.3-2ubuntu3) natty; urgency=low

  * update-resolv-conf: Correctly handle multiple dns search domains,
    using the same logic as nameservers.  Patch courtesy of Jeremy 
    Zawodny. (LP: #662847)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 11 Mar 2011 00:23:59 +0000

openvpn (2.1.3-2ubuntu2) natty; urgency=low

  * update-resolv-conf: Support mulitple domains (LP: #714358)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Feb 2011 15:21:46 -0500

openvpn (2.1.3-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    +  debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 23 Oct 2010 01:59:28 +0100

openvpn (2.1.3-1ubuntu2) natty; urgency=low

  * Fix jjo-ipv6-support.patch to avoid assertion failure at socket.c:629 in
    corner cases where ! host && addr (LP: #627973)

 -- Thierry Carrez (ttx) <thierry.carrez@ubuntu.com>  Wed, 20 Oct 2010 16:22:25 +0200

openvpn (2.1.3-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatablitiy
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 05 Oct 2010 06:21:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 7), libssl1.0-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt, libpkcs11-helper1-dev
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: debhelper (>= 7), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt, libpkcs11-helper1-dev
+Standards-Version: 3.9.2
+Homepage: http://www.openvpn.net/
 
 Package: openvpn
 Architecture: any
-Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, openssl-blacklist (>= 0.4), openvpn-blacklist, net-tools
+Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, net-tools, lsb-base (>= 3.2-14)
 Suggests: openssl, resolvconf
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a

## openvpn 2.2.0-1maemo1

=== debian/changelog ===
openvpn (5:2.2.0-1maemo1) unstable; urgency=low

  * Initial release. (Give it a TRY !!!).

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 20 Aug 2011 00:11:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 7), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt, libpkcs11-helper1-dev
-Standards-Version: 3.9.2
-Homepage: http://www.openvpn.net/
+Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: debhelper (>= 5), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt (>= 0.45)
+Standards-Version: 3.9.1
 
 Package: openvpn
 Architecture: any
-Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, net-tools, lsb-base (>= 3.2-14)
+Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8 (>= 0.9.8g-9), net-tools
 Suggests: openssl, resolvconf
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a

## openvpn 2.2.1

=== debian/changelog ===
openvpn (2.2.1-7) unstable; urgency=low

  * Add dpkg-buildflags call on plugins built too.
    Thanks Simon Ruderich for finding out, the nice patch and
    clarification. (Closes: #655130)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 16 Mar 2012 10:49:28 +0100

openvpn (2.2.1-6) unstable; urgency=low

  * /run transition: Replaced usage of /dev/.udev with /run/udev,
    when checking for the usage of udev. Depend on initscripts
    (>= 2.88dsf-13.3) to guarantee the existence of /run/udev
    in case udev is being used. (Closes: #644321)
    Patch by Pieter du Preez.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 09 Mar 2012 13:44:50 +0100

openvpn (2.2.1-5) unstable; urgency=low

  * Avoid sending ICMP redirects when using tun devices and "subnet"
    topology. Thanks Simon Deziel for testing and the patch.
    (Closes: #656241)
    The init.d script will set all.send_redirects=0 when using "dev tun"
    and "topology subnet". More info in README.Debian.
  * Several manpage fixes

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 23 Feb 2012 17:25:54 +0100

openvpn (2.2.1-4) unstable; urgency=low

  * Use dpkg-buildflags to fill CFLAGS in ./configure. (Closes: #655130)
  * debian/rules: Moved to dh.
  * debian/rules: Changed DEB_BUILD_ARCH_OS with DEB_HOST_ARCH_OS.
  * Removed quilt Build-Depends.
  * debian/openvpn.default: Clarify what "vpn name" refers to.
    (Closes: #657610)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 08 Feb 2012 16:31:32 +0100

openvpn (2.2.1-3) unstable; urgency=low

  * The iproute fiasco release.
  * Remove --enable-iproute2 dependency since it's only available in Linux.
    Write that in the changelog so I don't forget _again_ why iproute is not
    set... (Closes: #652702)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 20 Dec 2011 13:06:05 +0100

openvpn (2.2.1-2) unstable; urgency=low

  * debian/rules: Force path to 'ip' command so that it's set correctly even
    if not present (in the buildd). (Closes: #652702)
  * Fix OMIT_SENDSIGS logic on init.d script. (Closes: #652703)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 20 Dec 2011 07:21:07 +0100

openvpn (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Added OMIT_SENDSIGS option in init.d script to let openvpn run after
    sendsigs on system reboot or shutdown. (Closes: #636864)
  * Configure with --enable-iproute2.
  * Change path to route on kFreeBSD. (Closes: #646221) Thanks Robert Millan.


 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 13 Dec 2011 11:04:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 5), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt (>= 0.45)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, libpkcs11-helper1-dev
+Standards-Version: 3.9.2
+Homepage: http://www.openvpn.net/
 
 Package: openvpn
 Architecture: any
-Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8 (>= 0.9.8g-9), net-tools
+Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, net-tools, initscripts (>= 2.88dsf-13.3)
 Suggests: openssl, resolvconf
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
# Avoid the /sbin/route wrapper which doesn't provide FreeBSD CLI as expected
ROUTE_PATH	:= /lib/freebsd/route
else
ROUTE_PATH	:= /sbin/route
endif

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) --enable-password-save --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --with-ifconfig-path=/sbin/ifconfig --with-route-path=$(ROUTE_PATH)


override_dh_auto_build:
	dh_auto_build
	# The one shipped in the tarball gets rebuild (chaging /bin/sh in some cases)
	sed -i -e '1s%.*%#!/bin/sh%' t_client.sh
	# make plugins
	$(MAKE) -C plugin/auth-pam/ $(shell dpkg-buildflags --export=configure)
	$(MAKE) -C plugin/down-root/ $(shell dpkg-buildflags --export=configure)

# we may not want to run dh_auto_test
#override_dh_auto_test:

override_dh_auto_clean:
	# These two get deleted on "make clean", but come in the tarball
	# hack to keep them around after "make clean"
	-test -f openvpn.spec.not || mv openvpn.spec openvpn.spec.not
	-test -f t_client.sh.not || mv t_client.sh t_client.sh.not
	dh_auto_clean
	-test -f openvpn.spec.not && mv openvpn.spec.not openvpn.spec
	-test -f t_client.sh.not && mv t_client.sh.not t_client.sh
	# clean plugins
	$(MAKE) -C plugin/auth-pam/ clean
	$(MAKE) -C plugin/down-root/ clean

override_dh_clean:
	dh_clean -X win/openvpn.nsi.orig

override_dh_auto_install:
	dh_auto_install
	install -m 755 sample-scripts/verify-cn $(CURDIR)/debian/openvpn/usr/share/openvpn
	install -m 755 debian/openvpn.if-up.d $(CURDIR)/debian/openvpn/etc/network/if-up.d/openvpn
	install -m 755 debian/openvpn.if-down.d $(CURDIR)/debian/openvpn/etc/network/if-down.d/openvpn
	#install plugins
	install -m 644 plugin/auth-pam/openvpn-auth-pam.so $(CURDIR)/debian/openvpn/usr/lib/openvpn
	install -m 644 plugin/down-root/openvpn-down-root.so $(CURDIR)/debian/openvpn/usr/lib/openvpn
	install -m 644 plugin/auth-pam/README $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/README.auth-pam
	install -m 644 plugin/down-root/README $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/README.down-root
	# intall plugin headers 
	install -m 644 openvpn-plugin.h $(CURDIR)/debian/openvpn/usr/include/openvpn/openvpn-plugin.h
	# resolvconf script
	install -m 755 debian/update-resolv-conf $(CURDIR)/debian/openvpn/etc/openvpn/update-resolv-conf
	# bash completion
	install -m 644 debian/openvpn.bash_completion $(CURDIR)/debian/openvpn/etc/bash_completion.d/openvpn

override_dh_installexamples:
	dh_installexamples
	## remove windoze stuff
	rm -rf $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/Windows
	# clean permissions to make lintian happy
	chmod a-x $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/2.0/vars
	chmod a-x $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/2.0/openssl-*.cnf

override_dh_installinit:
	dh_installinit --no-start -- defaults 16 80

override_dh_compress:
	dh_compress --exclude=.cnf --exclude=pkitool

## openvpn 2.3.2

=== debian/changelog ===
openvpn (2.3.2-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Jul 2013 17:20:31 -0400

openvpn (2.3.2-4) unstable; urgency=low

  * Fix depends on iproute to iproute2.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 21 Jun 2013 11:17:52 +0200

openvpn (2.3.2-3) unstable; urgency=low

  * Add iproute2 support on linux archs.
  * Add versioned Build-Depends on dpkg-dev since --export=configure
    is used. (Closes: #697560)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 20 Jun 2013 13:23:24 +0200

openvpn (2.3.2-2) unstable; urgency=low

  * Add pkg-config to Build-Depends while waiting for libpkcs11-helper1-dev's
    maintainter to decide if he includes pkg-config as a Depends.
    Thanks Roland Stigge for finding out. (Closes: #711076)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 05 Jun 2013 16:39:27 +0200

openvpn (2.3.2-1) unstable; urgency=low

  * New upstream version.
    Less messages about script security (Closes: #573129)
  * Add --enable-pkcs11 to configure to avoid losing PKCS11.
    Thanks Jaak Pruulmann-Vengerfeldt for noticing before the
    upload! (Closes: #710085)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 03 Jun 2013 18:48:44 +0200

openvpn (2.3.1-2ubuntu2) saucy; urgency=low

  * Move easy-rsa from Recommends to Suggests as it's not in main and isn't
    actually required to operate an openvpn server.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 19 Jun 2013 14:37:54 -0400

openvpn (2.3.1-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 24 May 2013 17:42:45 -0400

openvpn (2.3.1-2) unstable; urgency=low

  * Add net-tools to Build-Depends. (Closes: #709108)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 21 May 2013 12:31:39 +0200

openvpn (2.3.1-1) unstable; urgency=low

  * New upstream version. Fixes use of non-constant-time memcmp in HMAC
    comparison. CVE-2013-2061 (Closes: #707329)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 17 May 2013 11:54:31 +0200

openvpn (2.3.0-1) experimental; urgency=low

  * New upstream release
  * Add easy-rsa to Recommends

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 12 Nov 2012 16:56:47 +0100

openvpn (2.3~rc1-1) experimental; urgency=low

  * Upload to experimental
  * New upstream release with reworked build system

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 05 Nov 2012 16:31:15 +0100

openvpn (2.2.1-8ubuntu3) raring; urgency=low

  [ Marc Gariépy ]
  * Add --script-security to the init.d script (was generated but not passed
    to openvpn). (LP: #1124398)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 13 Feb 2013 16:10:48 -0500

openvpn (2.2.1-8ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 08:36:47 +0100

openvpn (2.2.1-8ubuntu1) precise; urgency=low

  * Merge at Simon Deziel's request to build with PIE.
  * Merge from Debian unstable. Remaining changes:
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 30 Mar 2012 13:19:09 -0400

openvpn (2.2.1-8) unstable; urgency=low

  * Enable "PIE" and "BINDOW" hardening flags.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 23 Mar 2012 10:40:39 +0100

openvpn (2.2.1-5ubuntu1) precise; urgency=low

  * Merge from Debian unstable. Remaining changes: (LP: #907828)
    + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 25 Feb 2012 21:08:48 -0500

openvpn (2.2.1-3ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
   + debian/openvpn.init.d:
      - Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      - Show per-VPN result messages.
      - Add "--script-security 2" by default for backwards compatabliity.
    + debian/control: Add lsb-base >= 3.2-14 to allow status_of_proc()
    + debian/update-resolv-conf: Support multiple domains.
    + fix bug where '--script-security 2' would be passed for all
      daemons after the first. (LP: #794916)

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 31 Dec 2011 04:55:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, libpkcs11-helper1-dev
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: debhelper (>= 7.0.50~), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, libpkcs11-helper1-dev, net-tools, pkg-config, dpkg-dev (>= 1.16.1), iproute2 [linux-any]
+Standards-Version: 3.9.3
 Homepage: http://www.openvpn.net/
 
 Package: openvpn
 Architecture: any
-Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, net-tools, initscripts (>= 2.88dsf-13.3)
-Suggests: openssl, resolvconf
+Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, net-tools, initscripts (>= 2.88dsf-13.3), iproute2 [linux-any]
+Suggests: openssl, resolvconf, easy-rsa
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a
  single UDP or TCP port. It can be used to access remote sites, make

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
# Avoid the /sbin/route wrapper which doesn't provide FreeBSD CLI as expected
ROUTE_ARGS	:= --with-route-path=/lib/freebsd/route
else
ROUTE_ARGS	:= --with-route-path=/sbin/route --with-iproute-path=/sbin/ip --enable-iproute2
endif

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) --enable-password-save --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --with-ifconfig-path=/sbin/ifconfig $(ROUTE_ARGS) --with-plugindir=\$${prefix}/lib/openvpn --includedir=\$${prefix}/include/openvpn --enable-pkcs11


override_dh_auto_build:
	dh_auto_build
	# The one shipped in the tarball gets rebuild (chaging /bin/sh in some cases)
	#sed -i -e '1s%.*%#!/bin/sh%' tests/t_client.sh
	# make plugins
	# $(MAKE) -C plugin/auth-pam/ $(shell dpkg-buildflags --export=configure)
	# $(MAKE) -C plugin/down-root/ $(shell dpkg-buildflags --export=configure)

# we may not want to run dh_auto_test
#override_dh_auto_test:

override_dh_auto_clean:
	# These two get deleted on "make clean", but come in the tarball
	# hack to keep them around after "make clean"
	-test -f distro/rpm/openvpn.spec.not || mv distro/rpm/openvpn.spec distro/rpm/openvpn.spec.not
	-test -f tests/t_client.sh.not || mv tests/t_client.sh tests/t_client.sh.not
	dh_auto_clean
	-test -f distro/rpm/openvpn.spec.not && mv distro/rpm/openvpn.spec.not distro/rpm/openvpn.spec
	-test -f tests/t_client.sh.not && mv tests/t_client.sh.not tests/t_client.sh
	# clean plugins
	# $(MAKE) -C plugin/auth-pam/ clean
	# $(MAKE) -C plugin/down-root/ clean

override_dh_clean:
	dh_clean -X win/openvpn.nsi.orig

override_dh_auto_install:
	dh_auto_install
	install -m 755 sample/sample-scripts/verify-cn $(CURDIR)/debian/openvpn/usr/share/openvpn
	install -m 755 debian/openvpn.if-up.d $(CURDIR)/debian/openvpn/etc/network/if-up.d/openvpn
	install -m 755 debian/openvpn.if-down.d $(CURDIR)/debian/openvpn/etc/network/if-down.d/openvpn
	# remove unwanted plugin files
	rm -f $(CURDIR)/debian/openvpn/usr/lib/openvpn/*.la
	# resolvconf script
	install -m 755 debian/update-resolv-conf $(CURDIR)/debian/openvpn/etc/openvpn/update-resolv-conf
	# bash completion
	install -m 644 debian/openvpn.bash_completion $(CURDIR)/debian/openvpn/etc/bash_completion.d/openvpn

override_dh_installexamples:
	dh_installexamples
	## remove windoze stuff
	rm -rf $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/Windows
	rm -rf $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/sample
	# clean permissions to make lintian happy
	# chmod a-x $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/2.0/vars
	# chmod a-x $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/2.0/openssl-*.cnf

override_dh_installinit:
	dh_installinit --no-start -- defaults 16 80

override_dh_compress:
	dh_compress --exclude=.cnf --exclude=pkitool

## openvpn 2.3.2-1maemo1

=== debian/changelog ===
openvpn (5:2.3.2-1maemo1) unstable; urgency=low

  * Updated to 2.3.2 release
  * Added again easy-rsa 1.0 and easy-rsa 2.2.2
  * Updated debian patches
  * Added push-continuation.patch (Ticket: #349)

 -- Xes <xes.maemo@gmail.com>  Mon, 20 Jan 2013 00:01:04 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS:=-g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: $(QUILT_STAMPFN)
	dh_testdir
	# Add here commands to configure the package.
	#./configure --enable-pthread --enable-password-save --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --with-ifconfig-path=/sbin/ifconfig --with-route-path=/sbin/route CFLAGS='$(CFLAGS)'
	ROUTE=/sbin/route IFCONFIG=/sbin/ifconfig ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --enable-pthread --enable-password-save --enable-plugins --enable-x509-alt-username --prefix=/opt/maemo/usr --mandir=/opt/maemo/usr/share/man --docdir=/opt/maemo/usr/share/doc CFLAGS="-g -O2"

build: build-stamp

build-stamp: config.status
	dh_testdir
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/openvpn
	$(MAKE) install prefix=$(CURDIR)/debian/openvpn/opt/maemo/usr
	mkdir -p $(CURDIR)/debian/openvpn/opt/maemo/usr/share/openvpn
	mkdir -p $(CURDIR)/debian/openvpn/opt/maemo/usr/share/doc/openvpn
	install -m 755 debian/openvpn.if-up.d $(CURDIR)/debian/openvpn/etc/network/if-up.d/openvpn
	install -m 755 debian/openvpn.if-down.d $(CURDIR)/debian/openvpn/etc/network/if-down.d/openvpn
	install -m 644 src/plugins/auth-pam/README.auth-pam $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/README.auth-pam
	install -m 644 src/plugins/down-root/README.down-root $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/README.down-root
	install -m 644 doc/openvpn.8 $(CURDIR)/debian/openvpn/usr/share/man/man8/openvpn.8
	gzip $(CURDIR)/debian/openvpn/usr/share/man/man8/openvpn.8
	install -m 755 debian/update-resolv-conf $(CURDIR)/debian/openvpn/etc/openvpn/update-resolv-conf
	install -m 644 debian/openvpn.bash_completion $(CURDIR)/debian/openvpn/etc/bash_completion.d/openvpn

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_installexamples
	# fixing docs optification
	mv $(CURDIR)/debian/openvpn/usr/share/doc/openvpn $(CURDIR)/debian/openvpn/opt/maemo/usr/share/doc/
	mv $(CURDIR)/debian/openvpn/usr/share/man $(CURDIR)/debian/openvpn/opt/maemo/usr/share/
	rm -rf $(CURDIR)/debian/openvpn/usr/include
	rm -rf $(CURDIR)/debian/openvpn/usr/share
	rm -rf $(CURDIR)/debian/openvpn/usr/lib/openvpn
	chmod a-x $(CURDIR)/debian/openvpn/opt/maemo/usr/share/doc/openvpn/examples/easy-rsa/2.2.2/vars
	chmod a-x $(CURDIR)/debian/openvpn/opt/maemo/usr/share/doc/openvpn/examples/easy-rsa/2.2.2/openssl*.cnf
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit --no-start -- defaults 16 80
	dh_installcron
#	dh_undocumented
	dh_link
	dh_strip
	dh_compress --exclude=openssl.cnf --exclude=pkitool
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	ln -s /opt/maemo/usr/sbin/openvpn debian/openvpn/usr/sbin/openvpn
	ln -s /opt/maemo/usr/lib/openvpn debian/openvpn/usr/lib/openvpn
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
